.check-flavor.dice-flavor {
    margin-top: 5px;
    margin-bottom: 5px;
    padding: 2px;
}

.check-test,
.check-roll-label {
    margin-bottom: 10px;
}
.sheet-card .spell-details,
.sheet-card .chat-description {
    padding: 10px !important;
}
.sheet-card .spell-details {
    background: #fff;
    border-radius: 5px;
}

.chatCard-expand-view {
    height: 15px;
}

.sheet-card .fa-expand-alt::after {
    content: 'Expand Details:';
    font-size: var(--font-size-13);
    font-family: var(--font-primary);
    margin-left: 5px;
    font-weight: 100;
}
.sheet-card .fa-compress-alt::after {
    content: '';
}

.sheet-card .fa-expand-alt:before,
.sheet-card .fa-compress-alt::before {
    content: '\f424';
    padding: 5px;
    border: 1px solid #ccc;
    border-radius: 6px;
    margin-left: -5px;
    background: #bfbfbf;
}

.combat-situationals {
    margin: 1px;
    input {
        text-align: center;
        width: 24px;
        border-top: none;
        border-left: none;
        border-right: none;
    }
    .situation {
        font-weight: 700;
    }
    .flexcol {
        flex: 0 0 30px;
    }
    .attack-left {
        text-align: left;
    }
    .damage-right {
        text-align: right;
        justify-content: right;
    }
}

// .testResult.failedCheck {
//     background-color: var(--ars_failure_red);
//     color: black;
// }

// .testResult.succeedCheck {
//     background-color: var(--ars_success_green);
//     color: white;
// }

// .hitSuccess {
//     // background-color: rgb(216, 209, 157);
//     background-color: var(--ars_success_green);
//     color: rgb(71, 71, 71);
// }

// .hitFailed {
//     // background-color: rgb(198, 202, 218);
//     background-color: rgb(194, 167, 167);
//     color: black;
// }

.chatCard-hpadjustment {
    .hpadjustment.hpdamage {
        background-color: var(--ars_failure_red);
        color: black;
    }

    .hpadjustment.hpheal {
        background-color: var(--ars_success_header_green);
        color: white;
    }
}

.attackResult,
.rolledText,
.testResult,
.hpadjustment,
.undoButton,
.spellCard-name,
.weaponCard-name {
    // background-color: var(--ars_highlight);
    justify-content: center;
    text-align: center;
    align-items: center;
    // border: 1px groove;
    margin-top: 1px;
    margin-bottom: 1px;
}

.center-text {
    text-align: center;
}

.rolledTotal {
    font-weight: bold;
    font-size: larger;
}

.rolledTotal.dice-total {
    background: transparent;
    padding: 2px;
}

.dice-total.rolledTotal::before {
    content: '\f424';
    font-family: 'Font Awesome 6 Pro';
    position: absolute;
    font-size: 14px;
    left: 1px;
    width: 23px;
    height: 23px;
    border: 1px solid #fff;
    border-radius: 6px;
    background: #bfbfbf;
}

.chatCard-button .flexrow .action-icon {
    flex-basis: 32px;
}

.traded-list {
    padding: 1px 0;
    border-bottom: 1px solid #bbb;

    div:nth-of-type(odd) {
        background-color: $item-background-color;
    }
    div:nth-of-type(even) {
        background-color: $item-background-alt-color;
    }

    .tradeChat-list {
        padding: 1px;
    }
}
.action-card,
.attack-card,
.weapon-card,
.actionChat-list,
.skill-card,
.dice-roll,
.spell-title,
.tradeChat-list {
    .short-field {
        img {
            border: none;
        }
    }
    .action-icon {
        display: none;
        flex-basis: 25px;
        flex-grow: 0;
        font-size: 0.99em;
        padding-right: 3px;
        img {
            vertical-align: middle;
            border: none;
        }
    }
}

.chat-message.img.chat-profile-img {
    flex: 0 0 64px;
    height: 64px;
    width: 64px;
    margin-right: 10px;
}

// .message-content,
// .window-content {
//     .a25-image {
//         flex-basis: 50px;
//         flex-grow: 0;
//         background-color: var(--color-text-dark-primary);
//         img {
//             vertical-align: middle;
//         }
//     }
//     .dice-flavor {
//         font-weight: bold;
//         font-size: 1.1em;
//         text-align: center;
//         background-color: cadetblue;
//     }
// }

// .app.window-app.ars.popoutCard {
//     max-width: 300px;
// }

.chat-message,
.app.window-app.ars {
    // button {
    //     border: 1px solid rgb(221 221 221);
    // }

    // select {
    //     border: 1px solid rgb(221 221 221);
    // }

    .window-content,
    .message-content {
        .attack-result-block,
        .hpadjustment,
        .dice-flavor,
        .sheet-card,
        .testResult {
            border-radius: 5px;
            .check-result {
                border-top-left-radius: 5px;
                border-top-right-radius: 5px;
            }
            .succeedCheck {
                .check-result {
                    background-color: var(--ars_success_header_green);
                    color: white;
                }
            }
            .failedCheck {
                .check-result {
                    color: white;
                    background-color: var(--ars_failure_header_red);
                }
            }
            .check-details-block {
                .check-status-block {
                    .left-side {
                        width: 50%;
                        border-right: 1px groove black;
                        padding: 0px 5px 5px 5px;
                    }
                    .right-side {
                        width: 50%;
                        padding: 0px 5px 5px 5px;
                    }
                }
                .succeedCheck {
                    background-color: var(--ars_success_green);
                    border-bottom-left-radius: 5px;
                    border-bottom-right-radius: 5px;
                }
                .failedCheck {
                    background-color: var(--ars_failure_red);
                    border-bottom-left-radius: 5px;
                    border-bottom-right-radius: 5px;
                }
                .check-name {
                    font-weight: bold;
                    padding-top: 5px;
                    padding-bottom: 5px;
                }
            }
            .action-card {
                border-radius: 5px;
                .chatCard-action {
                    .action-card-image-title {
                        margin-bottom: 5px;
                        .action-title {
                            border-top-left-radius: 5px;
                            border-top-right-radius: 5px;
                        }
                    }
                }
            }
        }
        // .weapon-card {
        //     background-color: rgb(201, 184, 165);
        // }

        .action-title {
            display: flex;
            flex-wrap: nowrap;
            align-content: center;
            justify-content: center;
            align-items: center;
            width: auto;
            text-align: center;
            font-size: 1.1em;
            background: var(--ars_action_title);
            border-radius: 8px;
            color: white;

            // this should make the text more responsive and prevent overflows
            overflow: hidden;
            word-wrap: break-word;
            text-overflow: ellipsis;
            white-space: nowrap;
        }
        .chatCard-description {
            margin-top: 2px;
            margin-bottom: 2px;
            padding: 8px;
            background-color: #f9f4e0;
            border-radius: 8px;
        }
        .chatCard-description-short {
            min-height: 5px;
            max-height: 90px;
            overflow: hidden;
            text-overflow: ellipsis;
        }
        .chatCard-description-full {
            white-space: wrap;
        }

        .dice-flavor,
        .check-result,
        .attack-results {
            padding: 5px;
            width: auto;
            text-align: center;
            font-size: 1.1em;
            line-height: 1.2;
        }

        .attack-results {
            border-top-left-radius: 5px;
            border-top-right-radius: 5px;
            color: white;
        }

        .attack-result-container {
            text-align: center;
            // padding: 5px;
            border-bottom-left-radius: 5px;
            border-bottom-right-radius: 5px;
            // border: none;
        }

        .gm-only-view {
            border-bottom-left-radius: 5px;
            border-bottom-right-radius: 5px;
        }
        .a25-image {
            overflow: hidden;
            flex-basis: 40px;
            flex-grow: 0;
            background-color: transparent;
            border-radius: 5px;
            margin-right: 2px;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.3);
            img {
                vertical-align: middle;
                width: 40px;
                height: 40px;
            }
            .a25-token {
                transform: scale(1.8);
            }
        }
        .a25-image + span {
            margin-left: 10px;
        }

        .actor-save-img,
        .actor-damage-img {
            flex-basis: 50px;
            flex-grow: 0;
            img {
                vertical-align: middle;
            }
        }
        .dice-roll {
            .initiative-flavor {
                padding: 10px;
                width: auto;
                text-align: center;
                font-size: 1.2em;
                color: white;
                background: #5e758d;
            }
        }

        .spell-card, .power-card {
            .grid-container {
                display: inline-grid;
                grid-template-columns: auto auto;
                margin-top: 2px;
                padding: 1px;
                width: 100%;
            }

            .grid-item {
                padding: 1px;
                text-align: left;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
            }

            .spell-title {
                font-size: 1.2em;
                text-align: center;
                // when linking items players dont own in spell cards
            }
        }

        .content-link {
            background-color: transparent;
        }

        .chatCard-itemSaves {
            .save-list {
                .contained {
                    i {
                        margin-right: 5px;
                        font-size: 0.25em;
                    }
                }
                .item-save-quicknav:hover {
                    background-color: #a2a6ad;
                }
                div:nth-of-type(odd) {
                    background-color: $item-background-color;
                }

                div:nth-of-type(even) {
                    background-color: $item-background-alt-color;
                }

                // div.contained:first-of-type::before {
                //     height: 50%;
                //     top: 0;
                // }

                // div.contained:last-of-type::after {
                //     border: none;
                // }
            }

            .failed-saves-title {
                padding: 6px;
                text-align: center;
                background-color: red;
                border-radius: 5px;
                color: white;
            }
            .success-saves-title {
                padding: 6px;
                text-align: center;
                background-color: rgb(19, 116, 6);
                border-radius: 5px;
                color: white;
            }

            .save.item-save-quicknav {
                cursor: pointer;
                padding: 3px;
            }
        }
    }
    .message-content.basic-message .a25-image {
        box-shadow: none;
    }
}
.item-row-selection-highlight {
    background-color: orange !important;
}

// this is the background on various/chat windows

// .chat-message {
// 	background: url(ui/textured_paper.png) repeat;
//     // background: white;
// }
// #chat-form textarea {
// 	background: url(ui/textured_paper.png) repeat;
//     // background: white;
// }
// .inline-roll .dice-tooltip {
// 	background: url(ui/textured_paper.png) repeat;
//     // background: white;
// }

.chat-message {
    position: relative;
    background-size: 100% 100% !important;
    background-repeat: no-repeat;
    padding: 5px;
    background: white;
}

.message-sender > .flexrow .secure-name {
    text-align: left !important;
}

li.chat-message.message.flexcol.whisper::before,
li.chat-message.message.flexcol.whisper.blind::before {
    top: 6px;
    margin-left: 4px;
    font-family: 'Font Awesome 6 Pro';
    font-weight: 900;
}
li.chat-message.message.flexcol.whisper::before {
    content: '\f21b';
}
li.chat-message.message.flexcol.whisper.blind::before {
    content: '\f070';
}

.chat-message .action-name {
    padding: 5px;
}
.grid-attack-details {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 5px;
    overflow: hidden;
    padding: 5px;
}
.grid-attack-details .grid-item-attack-details {
    height: 20px;
    position: relative;
}
.grid-attack-details .grid-item-attack-details::after {
    content: '';
    position: absolute;
    height: calc(100% + 16px);
    width: 2px;
    background: grey;
    right: -9px;
}

.sheet-card.attack-card .hitSuccess .attack-results {
    background-color: var(--ars_success_header_green);
}
.sheet-card.attack-card .hitFailed .attack-results {
    background-color: var(--ars_failure_header_red);
}
.sheet-card.attack-card .hitSuccess .attack-result-container {
    background-color: #e1e9de;
}
.sheet-card.attack-card .hitFailed .attack-result-container {
    background-color: #d3b4b4;
}
.attack-text-weapon-name {
    text-align: center;
    font-size: 1.2em;
}

.action-description-applied {
    padding: 5px;
}
.attack-text {
    line-height: 1.7;
    font-size: 1.2em;
    font-weight: 500;
}

button.chatCard-button {
    margin-bottom: 2px;
}
button.chatCard-button.bulk {
    width: 30px;
    height: 30px;
    padding: 0;
    border-radius: 6px;
    margin-right: -3px;
}

.martial-combat-card {
    .mc-header {
        text-align: center;
        padding: 5px;
    }

    .mc-row,
    .mc-primary-row,
    .mc-knockout-message {
        padding: 5px;
        border-radius: 8px;
    }

    .mc-primary-row {
        background-color: #ffd699;
    }

    .mc-knockout-message {
        background-color: #ff6666;
        font-weight: bold;
    }

    .mc-non-owner-only-view {
        display: none; // or any other styles you want to apply
    }
}

.spell-card-cast fieldset,
.power-card-cast fieldset {
    border-radius: 6px;
    border-color: var(--color-border-light-tertiary);
}
